Subject: bug#55930: 29.0.50; Removing some items from Emacs FAQ for MS Windows

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 Jun 2022 14:44:08 +0300

> From: Arash Esbati <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 13 Jun 2022 11:18:06 +0200
> 
> >> Maybe an entry for Msys2 should be added?  I can send a proposal, but
> >> before that, I'd like to know how people think about it.
> >
> > I hope you mean MinGW64 executables here.
> 
> I did.  But I was more thinking about an entry which covers MinGW-w64
> and MSYS2, basically the same thing like MinGW and MSYS which is already
> there.
> 
> > Yes, if you can come up with a list of MinGW64 ports that are
> > available from the MSYS2 folks, by all means suggest a patch for the
> > FAQ.
> 
> MSYS2 distribution offers more than 2.600 ports in their MinGW64 subsystem,
> so a sensible list is rather complicated.  My suggestion is attached.  I
> haven't made a ChangeLog entry yet, but in general:
> 
>  • The file nt/INSTALL.W64 is mentioned
>  • A ; is added to the examples for .mailcap in order to be in line with
>    Emacs MIME manual
>  • UWIN entry is gone
>  • Entry for MinGW64 and MSYS2 is added.
> 
> Any comments welcome.

Thanks.

First, I think MinGW64 should nowadays be the main reference, and
mingw.org's MinGW just the second choice, specifically for 32-bit
builds targeting old Windows versions (which MinGW64 and MSYS2 no
longer support).  We should mention this aspect, and also say what
"older versions" are not supported by MSYS2, so that people won't be
unpleasantly surprised after spending their afternoon downloading
stuff.

> @@ -2139,7 +2143,7 @@ MinGW
>  @cindex msys environment
>  @cindex subprocesses, mingw and msys
>  
> -@uref{http://www.mingw.org/}
> +@uref{https://mingw.osdn.io/}

The correct URL is https://osdn.net/projects/mingw/

> +@node MinGW-w64
> +@section MinGW-w64 and MSYS2
> +@cindex mingw-w64 tools
> +@cindex msys2 environment
> +@cindex subprocesses, mingw-w64 and msys2
> +
> +@uref{https://www.msys2.org/}
> +
> +MinGW-w64 is another set of development tools that produce native
> +Windows executables.  MinGW-w64 has forked the original MinGW in 2007
> +in order to provide support for 64 bits and new APIs.
> +
> +MSYS2 is software distribution and a building platform for Windows.
> +MSYS2 is an independent rewrite of MSYS, based on modern Cygwin and
> +MinGW-w64 with the aim of better interoperability with native Windows
> +software.  It plays the same role MSYS does in MinGW.
> +
> +Being a distribution, MSYS2 provides tools to build software as well
> +as more than 2.600 precompiled packages ready for use.  For example,
> +the distribution offers Hunspell as the package
> +@samp{mingw-w64-x86_64-hunspell} which can be installed through the
> +provided package manager Pacman.  One can now open the MINGW64
> +subsystem by running the file @file{mingw64.exe} which opens a
> +terminal window (Mintty) with a proper shell (Bash) and use the
> +command @command{hunspell} directly.  If Emacs is started from this
> +shell, it will find @command{hunspell} as well and there is no need
> +for adjustments in @code{exec-path} and such.  External binaries can
> +be made available by adding them to @env{PATH} in
> +@file{~/.bash_profile}, for example:
> +@example
> +export PATH=$PATH:/c/Program\ Files/gs/gs9.56.1/bin
> +@end example

This is IMO too detailed for no good reason.  We don't need to "sell"
MinGW64.  I think we should make it shorter, in the same style as the
MinGW/MSYS section.

Thanks.